libreoffice (4:26.2.5.2-0ubuntu3) stonking; urgency=medium

  * Fix compatibility with firebird >= 4.0
    - d/patches/Resolves-tdf-172935-Connection-from-Base-to-external.patch
    - d/patches/firebird-name-the-modules-of-a-system-firebird-by-ab.patch
    - d/patches/firebird-call-writeFile-outside-the-SAL_WARN_IF-cond.patch

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 28 Jul 2026 11:05:25 +0200

libreoffice (4:26.2.5.2-0ubuntu2) stonking; urgency=medium

  * Revert "firebird: keep each embedded database's files in one directory"
    to fix test-suite with firebird 4.0

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 23 Jul 2026 08:20:53 +0200

libreoffice (4:26.2.5.2-0ubuntu1) stonking; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 22 Jul 2026 09:33:39 +0200

libreoffice (4:26.2.5.1-0ubuntu1) stonking; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sun, 28 Jun 2026 14:12:28 +0200

libreoffice (4:26.2.4.2-0ubuntu1) stonking; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 02 Jun 2026 14:35:22 +0200

libreoffice (4:26.2.4.1-0ubuntu1) stonking; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 20 May 2026 11:04:25 +0200

libreoffice (4:26.2.3.2-0ubuntu1) stonking; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 27 Apr 2026 08:21:09 +0200

libreoffice (4:26.2.2.2-0ubuntu1) resolute; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 20 Mar 2026 08:43:54 +0100

libreoffice (4:26.2.2.2-1) experimental; urgency=medium

  * New upstream release candidate (26.2.2 rc2)

  * debian/patches/use-correct-adfko-command.diff: backport from master

  * debian/watch*: remove Version-Constraint: same due to it not working;
    while at it use more @PACKAGE@ and @COMPONENT@ where applicable 
  * debian/control: regen control with java-common 0.77 to remove some more
    kfreebsd-*/powerpc lintian errors

 -- Rene Engelhard <rene@debian.org>  Thu, 19 Mar 2026 22:38:13 +0100

libreoffice (4:26.2.2.1-2) experimental; urgency=medium

  * debian/test-rust_uno-example: oops, actually move ...
  * debian/test-rust-uno-example: ... here  after rename in tests/control
    in the last upload

 -- Rene Engelhard <rene@debian.org>  Sun, 08 Mar 2026 08:51:53 +0100

libreoffice (4:26.2.2.1-1) experimental; urgency=medium

  * New upstream release candidate (26.2.2 rc1)

  * change Debian package version to include the complete (internal) version
    (as e.g. Fedora and Gentoo and openSUSE do already) to make debian/watch
    work correctly with (stable) releases (to be able to find/display *and*
    download the *correct* _published_ one at all times) and rcs with
    https://orig-check.debian.net/upstream2orig/ in mind, also use full
    alpha/beta versions (see below)

  * debian/watch.rcs, debian/watch.alpha-and-betas: split watch files
  * debian/watch: make symlink
  * debian/watch/*:
    - update to v5
    - run (own) uupdate-component-tarballs.sh to repack help/translations
  * debian/scripts/fix_component_tarballs.sh: rename ...
  * debian/scripts/uupdate-component-tarballs.sh: ... to this
  * debian/watch.rcs: watch libreoffice-aa.b.c.d completely so that
    we are able to get the upstream tarball correctly (see above); use
    http://downloadarchive.documentfoundation.org/@PACKAGE@/old/<ver>/src/
    which despite the name also gets uptodate releases/rcs (thanks cacin) to
    avoid pointing to dev-builds.libreoffice.org
  * debian/watch.alpha-and-betas: watch libreoffice-aa.b.c.0.(alpha|beta)d;
    as above
  * debian/rules:
    - stop calling debian/scripts/fix_component_tarballs.sh in
      get-orig-source, uscan now does it properly for us
    - stop build-depending on libcrypt-dev, we don't (explicitly) need it
      anymore since 26.2.1 rc2
    - reverse logic for testsuite-only build-deps, shortening it (effectively
      aking them [amd64 arm64]
  * debian/rules, debian/vars.{kfreebsd-*,powerpcspe}: remove kfreebsd-* and
    powerpcspe here completely, dpkg dropped support and each mention of it
    in b-d !conditionals causes a lintian error...
  * debian/control.in:
    - add Breaks: libreoffice-texmaths (<< 0.52.5~) to libreoffice-writer and
      Breaks: libreoffice-texmaths (<< 0.52.6~) to -impress and -draw. See
      #1128570

 -- Rene Engelhard <rene@debian.org>  Fri, 06 Mar 2026 22:02:42 +0100

libreoffice (4:26.2.1-1) unstable; urgency=medium

  * LibeOffice 26.2.1 final release (identical to rc2)

  * upload to unstable

 -- Rene Engelhard <rene@debian.org>  Sun, 22 Feb 2026 10:41:41 +0100

libreoffice (4:26.2.1~rc2-0ubuntu1) resolute; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 23 Feb 2026 09:19:39 +0100

libreoffice (4:26.2.1~rc2-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/rules:
    - revert "(temporarily) disable zxing on loong64"; now available
  * debian/copyright:
    - mention helpcontent2/help3xsl/flexsearch*.js 

 -- Rene Engelhard <rene@debian.org>  Fri, 06 Feb 2026 17:20:45 +0100

libreoffice (4:26.2.1~rc1-0ubuntu2) resolute; urgency=medium

  * Use internal md4c
    - avoid package dependency on universe binary

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 12 Feb 2026 20:15:46 +0100

libreoffice (4:26.2.1~rc1-0ubuntu1) resolute; urgency=medium

  * New upstream release candidate
  * Use internal afdko
    - the required version > 4.0.x is not available yet

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sat, 07 Feb 2026 00:25:31 +0100

libreoffice (4:26.2.1~rc1-1) experimental; urgency=medium

  * New upstream release candidate

 -- Rene Engelhard <rene@debian.org>  Fri, 06 Feb 2026 01:28:05 +0100

libreoffice (4:26.2.0-1) unstable; urgency=medium

  * LibeOffice 26.2.0 final release (identical to rc3)

  * upload to unstable

  * debian/watch: back to releases/download.documenfoundation.org

 -- Rene Engelhard <rene@debian.org>  Wed, 28 Jan 2026 21:03:25 +0100

libreoffice (4:26.2.0~rc3-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/patches/Rust-Bindings-Add-initial-documentation-for-Rust-UNO.diff:
    as name says; from master

  * debian/rules:
    - (temporarily) disable zxing on loong64 (and qt6-multimedia on m68k while
      we are at anyway)
  * debian/control.in: mention libreoffice-gtk3 instead of
    libreoffice-gtk(2|3) (closes: #1126416)

 -- Rene Engelhard <rene@debian.org>  Tue, 27 Jan 2026 22:47:33 +0100

libreoffice (4:26.2.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/rules:
    - allow libmdds-dev 3.2 
    - add loong64 to OOO_NOGUI_ARCHS to build -nogui variant there, fast
      enough for the double build
  * debian/watch: track rcs again
  * debian/tests/control.rust.in: make test-rust_uno-example depend on
    libreoffice-writer-nogui | libreoffice-writer as the former is not
    built on risc64
  * debian/tests/control.in, debian/rules: make test-extension,
    test-extension-shared, odk-build-examples and odk-build-examples-java
    depend on libreoffice-core-nogui | libreoffice-core and remove now
    unneeded special-casing of Architecture:. Avoid running it in riscv64
    for now

 -- Rene Engelhard <rene@debian.org>  Thu, 15 Jan 2026 07:05:56 +0100

libreoffice (4:26.2.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/patches/skia-gcc-no-musttail.diff: also include alpha
    (closes: #1122243)
  * debian/patches/remove-JITC_PROCESSOR_TYPE-setting.diff: as name says.
    Obsolete and fixes permissions of instdir/program/soffice during build
    (e.g. for smoketest) - closes: #1122336

  * debian/rules:
    - use --enable-ld=mold if building rust-uno-bindings on riscv64 to speed up
      its linking/make it work
    - enable --enable-rust-uno on riscv64 (test-wise, it generally works and
      linking is far better with the above and does not hang anymore; compile
      still takes long but let's see - with parallelism output still might
      happen...)
  * debian/tests/test-rust_uno-example: increase timeout to 60s
  * debian/*.symbols*:
    - mark GLIBCXX_3.4 as optional, vanished in a (mold-using) riscv64 build,
      is not in our namespace anyway and we get a far more uptodate libstdc++6
      dependency anyway

 -- Rene Engelhard <rene@debian.org>  Tue, 16 Dec 2025 21:47:37 +0100

libreoffice (4:26.2.0~beta1-1) experimental; urgency=medium

  * New upstream beta release

  * debian/patches/pdfium-ports.diff: add patch to fix pdfium build on sparc64
    (closes: #1121498)
  * debian/patches/lpsolve-fPIC.diff: build the shared internal lpsolve with
    -fPIC (as done in system-lpsolve) (closes: #1121530)

  * debian/rules, debian/control.rust.in, debian/tests/control.rust.in: decouple
    rust build-dep conditionals/Architecture: fields and differentiate between
    "general rust support" (rustc/cargo/dh-cargo) and rust-uno/yrs.
  * debian/rules:
    - disable rust_uno on ppc64el (and ppc64), fails the example test.
      (Works on all the other (release) archs where it builds)
    - remove special-casing for ppc64el wrt clang, builds now and skia already
      checks for disabling musttail on ppc64el itself in the clang case

 -- Rene Engelhard <rene@debian.org>  Fri, 05 Dec 2025 21:46:11 +0100

libreoffice (4:26.2.0~alpha1-3) experimental; urgency=medium

  * debian/rules:
    - fix check for OOO_RUST_ARCHS check and move later so that OOO_RUST_ARCHS
      is actually defined already
    - revert -include change
  * debian/tests/test-rust_uno-example: we need to open debian/tests/Test.fodt,
    not just Test.fodt

 -- Rene Engelhard <rene@debian.org>  Mon, 24 Nov 2025 20:41:02 +0100

libreoffice (4:26.2.0~alpha1-2) experimental; urgency=medium

  * debian/patches/skia-gcc-ppc64el-no-musttail.diff: fix ppc64el build
  * debian/tests/patches/junit-subsequentcheck-standalone.diff: also set
    gb_JavaClassSet_use_jar_classset = to not expect a
    instdir/prgram/libreoffice.jar

  * debian/rules:
    - disable rust binding on armhf (and armel)/powerpc: cc1plus: out of memory on
      the buildds
    - include /usr/share/rustc/architecture.mk with -include; still picked up
      by make apparently even if ENABLE_RUST=n
    - rm -rf rust_uno/src/generated and rm -f rust_uno/Cargo.lock in clean
  * debian/tests/control.rust.in: fix typo (s/Achitecture/Architecture/
  * debian/tests/control.in: update apparmor profile syntax check for new names

 -- Rene Engelhard <rene@debian.org>  Mon, 24 Nov 2025 00:31:23 +0100

libreoffice (4:26.2.0~alpha1-1) experimental; urgency=medium

  * New upstream alpha release
    This includes nvidia abstraction for opencl... (closes: #911962)

  * debian/patches/system-crates.diff: don't rely on upstream-fetched
    rust crates if building with yrs
  * debian/patches/apparmor-*: remove; upstream
  
  * debian/rules:
    - add conditionals for rust
    - support building with --with-yrs. Don't enable yet.
  * debian/rules, debian/patches/strict-firebird-api-version-check.diff:
    - prepare being strict about allowed firebird versions, as newer versions
      (may) change the on-disk format, cf.
      https://bugs.documentfoundation.org/show_bug.cgi?id=168143. Ignore for
      now to keep compatibility with trixie...
  * debian/rules, debian/control.rust.in:
    - add condititionals to build rust_uno bindings
    - build a new librust-rust-uno-dev with the crate
  * debian/tests/*rust*, debian/tests/Test.fodt: initial cargo autopkgtests
    and also test the rust_uno-example extension which contains a rust-uno
    bridge test
  * debian/watch: follow alphas/betas
  * debian/libreoffice-common.maintscript, debian/libreoffice-common.preinst.in:
    mv_conffile /etc/apparmor.d profiles (and mv local/ overrides) to their new
    names
  * debian/rules, debian/control.in: recommend afdko-bin in
    libreoffice(-nogui) and libreoffice-core

 -- Rene Engelhard <rene@debian.org>  Fri, 21 Nov 2025 20:58:46 +0100

libreoffice (4:25.8.4~rc2-0ubuntu1) resolute; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 11 Dec 2025 10:21:18 +0100

libreoffice (4:25.8.4~rc1-0ubuntu2) resolute; urgency=medium

  * debian/patches/pdfium-ports.diff: Update to not break arm64

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 02 Dec 2025 15:18:13 +0100

libreoffice (4:25.8.4~rc1-0ubuntu1) resolute; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 02 Dec 2025 12:25:17 +0100

libreoffice (4:25.8.3-0ubuntu1) resolute; urgency=medium

  * New upstream release
  * debian/patches/disable-testDubiousArrayFormulasFODS-on-amd64v3.patch:
    - disable failing test on amd64v3

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 14 Nov 2025 09:06:35 +0100

libreoffice (4:25.8.3-1) unstable; urgency=medium

  * LibreOffice 25.8.3 final release (identical to rc2)

  * upload to unstable 

  * debian/control.in: also recommend python3-{pip,venv,setuptools} in
    the libreoffice-nogui metapackage

 -- Rene Engelhard <rene@debian.org>  Tue, 11 Nov 2025 08:00:15 +0100

libreoffice (4:25.8.3~rc2-0ubuntu1) resolute; urgency=medium

  * New upstream release candidate
  * debian/rules:
    - keep using internal-java-websocket

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 10 Nov 2025 09:07:36 +0100

libreoffice (4:25.8.3~rc2-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/rules:
    - stop build-depending on libgirepository1.0-dev and add the needed
      gir1.2-* to B-D-A, too (closes: #1118956)
  * debian/control.in: make the libreoffice metapackage recommend 
    python3-{pip,venv,setuptools} as they are checked now (see below)
    and included in the internal python
  * debian/control.in:
    - remove graphicsmagick-imagemagick-compat alternative from imagemagick
      Suggests, now gone

 -- Rene Engelhard <rene@debian.org>  Wed, 05 Nov 2025 18:10:21 +0100

libreoffice (4:25.8.3~rc1-0ubuntu1) resolute; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 24 Oct 2025 13:39:49 +0200

libreoffice (4:25.8.3~rc1-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/rules:
    - arch-qualify libjava-websocket-java B-D:, we don't need it on no-Java
      archs
    - also add python3-setuptools and python3-venv to Build-Depends-Arch:, as
      for pip (also tested)

 -- Rene Engelhard <rene@debian.org>  Wed, 22 Oct 2025 21:05:56 +0200

libreoffice (4:25.8.2-0ubuntu1) resolute; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 16 Oct 2025 13:13:08 +0200

libreoffice (4:25.8.2-3) unstable; urgency=medium

  * debian/rules:
    - move libjava-websocket-java to Build-Depends: (configure checks and it's
      not disableable for arch-dep builds.)

 -- Rene Engelhard <rene@debian.org>  Mon, 13 Oct 2025 20:43:13 +0200

libreoffice (4:25.8.2-2) unstable; urgency=medium

  * debian/rules:
    - use system-java-websocket
  * debian/source/include-binaries: remove Java-WebSocket

 -- Rene Engelhard <rene@debian.org>  Mon, 13 Oct 2025 16:35:02 +0200

libreoffice (4:25.8.2-0ubuntu0.25.10.1) questing; urgency=medium

  * New upstream release (LP: #2126932)
  * Bump yaru source to "2025-09-07"

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 02 Oct 2025 12:22:43 +0200

libreoffice (4:25.8.2-1) unstable; urgency=medium

  * LibreOffice 25.8.2 release (identical to rc2)

  * upload to unstable 

 -- Rene Engelhard <rene@debian.org>  Wed, 08 Oct 2025 21:00:03 +0200

libreoffice (4:25.8.2~rc2-1) experimental; urgency=medium

  * New upstream release candidate

 -- Rene Engelhard <rene@debian.org>  Thu, 02 Oct 2025 17:41:53 +0200

libreoffice (4:25.8.2~rc1-1) experimental; urgency=medium

  * New upstream release candidate
    - fixes save/export directory preselection again ("with empty user
      profile") (closes: #1110923)

  * debian/rules: use backported libraries on trixie-backports instead
    of our copies
  * debian/watch: work around devscripts' #1112065 by hardcoding
    libreoffice in the download.documentfoundation.org URL; that's where
    they are anyway

 -- Rene Engelhard <rene@debian.org>  Thu, 18 Sep 2025 23:40:45 +0200

libreoffice (4:25.8.1-1) unstable; urgency=medium

  * LibreOffice 25.8.1 release (identical to rc1)

  * upload to unstable 

 -- Rene Engelhard <rene@debian.org>  Thu, 28 Aug 2025 17:41:51 +0200

libreoffice (4:25.8.1~rc1-0ubuntu1) questing; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 26 Aug 2025 07:56:16 +0200

libreoffice (4:25.8.1~rc1-1) experimental; urgency=medium

   * New upstream release candidate

 -- Rene Engelhard <rene@debian.org>  Tue, 26 Aug 2025 06:43:15 +0200

libreoffice (4:25.8.0-1) unstable; urgency=medium

  * LibreOffice 25.8.0 release (identical to rc4) 

  * debian/rules: use system-mdds/orcus again 

 -- Rene Engelhard <rene@debian.org>  Fri, 22 Aug 2025 13:33:08 +0200

libreoffice (4:25.8.0~rc4-2) unstable; urgency=medium

   * debian/patches/add-EUR-for-Bulgaria-Lew.diff: add Euro support for
     Bulgaria from libreoffice-25-8 branch (to-be 25.8.1)

 -- Rene Engelhard <rene@debian.org>  Wed, 13 Aug 2025 21:52:09 +0200

libreoffice (4:25.8.0~rc4-0ubuntu1) questing; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 14 Aug 2025 10:43:43 +0200

libreoffice (4:25.8.0~rc4-1) unstable; urgency=medium

  * New (unplanned) upstream release candidate

  * debian/rules:
    - don't put our internal java_websocket.jar into system-/usr/share/java
    - also move reportbuilder{,wizard}.jar and the js/bsh script provider
      jars into /usr/share/libreoffice proper (like all the other jars)

 -- Rene Engelhard <rene@debian.org>  Tue, 12 Aug 2025 13:44:49 +0200

libreoffice (4:25.8.0~rc3-0ubuntu1) questing; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sat, 09 Aug 2025 13:06:34 +0200

libreoffice (4:25.8.0~rc2-0ubuntu1) questing; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 25 Jul 2025 14:59:36 +0200

libreoffice (4:25.8.0~rc3-1) unstable; urgency=medium

  * New upstream release candidate

  * upload to unstable

 -- Rene Engelhard <rene@debian.org>  Fri, 08 Aug 2025 17:36:58 +0200

libreoffice (4:25.8.0~rc2-2) experimental; urgency=medium

  * debian/rules: temporarily use internal mdds/liborcus to get meaningful
    autopkgtest results and be able to upload to unstable after freeze 

 -- Rene Engelhard <rene@debian.org>  Mon, 04 Aug 2025 19:51:25 +0200

libreoffice (4:25.8.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate 

 -- Rene Engelhard <rene@debian.org>  Sun, 27 Jul 2025 21:57:54 +0200

libreoffice (4:25.8.0~rc1-2) experimental; urgency=medium

  * debian/rules:
    - add conditional for use of system-java-websocket 
    - allow mdds 3.1 (still mdds-3.0.pc)

 -- Rene Engelhard <rene@debian.org>  Fri, 11 Jul 2025 19:21:31 +0200

libreoffice (4:25.8.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/patches/we-dont-have-the-needed-fonts.diff: (tempoarily) disable
    VclComplexTextTest, testTdf154104 until we find out what's wrong (too
    old Noto Arabic?)

  * debian/rules:
    - disable -qt5
    - remove USE_GSTREAMER=n setting on build-indep since it somehow also
      affects the AVMEDIA conditional which makes build-indep builds loose
      the gallery sound files (closes: #1108832), and move the gstreamer -dev
      packages from B-D-A to B-D consequently
    - add conditional for use of system-java-websocket 

 -- Rene Engelhard <rene@debian.org>  Mon, 07 Jul 2025 17:39:32 +0200

libreoffice (4:25.8.0~beta1-1) experimental; urgency=medium

  * New upstream beta release

  * debian/patches/apparmor-allow-local-override.diff: include if exists
    local/ profile (closes: #1106045)
  * debian/patches/apparmor-thunderbird.diff: allow read in .thunderbird
    for profiles.ini and cert9.db
  * debian/patches/disable-flaky-tests.diff: remove test_tdf145158 here ...
  * debian/patches/fix-tests.diff: ... and add upstream fix

  * debian/rules, debian/libuno-salhelpergcc3-3.symbols.in: add new @PRIVATE_1.0
    symbol for salhelper and new libreoffice-salhelper-private-abi virtual
    package (as for sal)
  * debian/rules:
    - add Build-Depends: on libcrypt-dev (closes: #1106997)

 -- Rene Engelhard <rene@debian.org>  Mon, 09 Jun 2025 23:53:24 +0200

libreoffice (4:25.8.0~alpha1-2) experimental; urgency=medium

  * debian/rules:
    - explicitly export LANG=C.UTF-8 in debian/rules and go sure and run
      xmllint with --encode UTF-8 (otherwise fcfg_langpack_*.xcu and/or
      main.xcd end up broken (no idea why this breaks now, though...)

 -- Rene Engelhard <rene@debian.org>  Sun, 11 May 2025 14:14:03 +0200

libreoffice (4:25.8.0~alpha1-1) experimental; urgency=medium

  * New upstream snapshot
    - fixes build with zlib-ng (closes: #1088403)

  * debian/rules:
    - remove bookworm-backports handling, add trixie-backports
    - disable dwz, breaks now and didn't have big effect anyway
  * debian/control*.in, debian/*.preinst.in: remove bookworm->trixie Pre-Depends:
    and preinsts
  * debian/libuno-sal3t64.symbols: ... move
  * debian/libuno-sal3t64.symbols.in: ... here. Add Depends on
    libreoffice-sal-private-abi (= @UREPACKAGEVERSION@) for (symver)@PRIVATE*
  * debian/control.ure.in: add Provides: for above

 -- Rene Engelhard <rene@debian.org>  Sun, 11 May 2025 00:07:19 +0200

libreoffice (4:25.2.5-0ubuntu1) questing; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 17 Jul 2025 14:49:04 +0200

libreoffice (4:25.2.5~rc2-0ubuntu1) questing; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 14 Jul 2025 12:03:04 +0200

libreoffice (4:25.2.5~rc1-0ubuntu1) questing; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 30 Jun 2025 09:36:39 +0200

libreoffice (4:25.2.4~rc3-0ubuntu1) questing; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 05 Jun 2025 13:02:11 +0200

libreoffice (4:25.2.3-0ubuntu1) questing; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 05 May 2025 10:10:44 +0200

libreoffice (4:25.2.3-2) unstable; urgency=medium

  * debian/patches/avmedia-qt-use-gstreamer-frame-grabber-by-default.diff:
    revert (for now), actually FTBFS

 -- Rene Engelhard <rene@debian.org>  Sun, 04 May 2025 07:34:39 +0200

libreoffice (4:25.2.3-1) unstable; urgency=medium

  * debian/patches/avmedia-qt-use-gstreamer-frame-grabber-by-default.diff:
    more qt6 video fixes, from libreoffice-25-2 branch

  * LibreOffice 25.2.3 final (identical to rc2)

  * upload to unstable

 -- Rene Engelhard <rene@debian.org>  Thu, 01 May 2025 20:06:05 +0200

libreoffice (4:25.2.3~rc2-1) experimental; urgency=medium

  * New upstream release candidate
    - Reverts "tdf#165228 Don't reuse previous path in save dialog" which was
      added in 25.2.2 (closes: #1101920)

 -- Rene Engelhard <rene@debian.org>  Thu, 24 Apr 2025 20:41:34 +0200

libreoffice (4:25.2.3~rc1-2) experimental; urgency=medium

  * debian/rules:
    - add Build-Conflicts: gpg-from-sq [$(OOO_CHECK_ARCHS)] <!nocheck>, since
      xmlsecurity_signing fails with gpg being gpg-from-sq

 -- Rene Engelhard <rene@debian.org>  Sun, 13 Apr 2025 22:38:50 +0200

libreoffice (4:25.2.3~rc1-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/patches/apparmor-updates.diff: 
    - also allow 7 digits in profile, thanks
      Matija Nalis <mnalis-debianbug@voyager.hr> for the patch
      (closes: #1090814)
    - allow /etc/paperspecs (used by paperconf) (closes: #1100930)
  * debian/po:
    - add ca.po (closes: #1102089)

 -- Rene Engelhard <rene@debian.org>  Fri, 11 Apr 2025 15:35:51 +0200

libreoffice (4:25.2.2-0ubuntu1) plucky; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 31 Mar 2025 15:02:39 +0200

libreoffice (4:25.2.2-1) unstable; urgency=medium

  * LibreOffice 25.2.2 final release (identical to rc2)

  * debian/patches/revert-858c452e5e6b7acad6932df7d1cd2f0950d47f33.diff:
    as name says, from libreoffice-25-2 branch to fix some --convert-to
    for Word issues 
  * debian/patches/qt-avmedia-handle-null-media-player.diff: backport
    from libreoffice-25-2 branch to fix pptx with youtube links crashing

  * upload to unstable

 -- Rene Engelhard <rene@debian.org>  Wed, 26 Mar 2025 17:38:59 +0100

libreoffice (4:25.2.2~rc2-0ubuntu1) plucky; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sun, 23 Mar 2025 13:32:52 +0100

libreoffice (4:25.2.2~rc2-1) experimental; urgency=medium

  * New upstream release candidate
    - fixes CVE-2025-2866

  * debian/patches/disable-tdf163105-tests-due-to-old-amiri.diff: patch two
    tests relying on newer amiri font out (see also below)

  * debian/rules:
    - ENABLE_CPDB=n on bookworm-backports, since libcpdb-frontend-dev
      doesn't exist in bookworm
    - bump fonts-hosny-amiri build-dep to (>= 1.000), except on
      bookworm-backports where bookworm only has 0.113. Patch the two affected
      vcl_pdfexport2 tests out for bookworm-backports
      (disable-tdf163105-tests-due-to-old-amiri.diff)
  * debian/po:
    - add ar.po from Maytham Alsudany <maytham@debian.org>
      (closes: #1100369) 
    - add pt.po from Américo Monteiro <a_monteiro@gmx.com>
      (closes: #1100358)
    - add cs.po from Miroslav Kure <kurem@upcase.inf.upol.cz>
      (closes: #1100376)
    - add pt_BR.po from Paulo Henrique de Lima Santana <phls@debian.org>
    - add nl.po from Frans Spiesschaert <Frans.Spiesschaert@yucom.be>
    - merge improvements for de.po from
      Helge Kreutzmann <debian@helgefjell.de> (closes: #1100570)
    - add fr.po from Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>
      (closes: #1100609)
    - add gl.po from Parodper <parodper@gmail.com>

 -- Rene Engelhard <rene@debian.org>  Sat, 22 Mar 2025 10:31:23 +0100

libreoffice (4:25.2.2~rc1-0ubuntu1) plucky; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sun, 09 Mar 2025 19:51:22 +0100

libreoffice (4:25.2.2~rc1-1) experimental; urgency=medium

  * New upstream release candidate

 -- Rene Engelhard <rene@debian.org>  Fri, 07 Mar 2025 22:02:58 +0100

libreoffice (4:25.2.1-3) unstable; urgency=medium

  * debian/patches/system-colamd.diff: restore usage of system-colamd
    for now internal lpsolve
  * debian/patches/poppler-25.02.diff: fix *runtime* with poppler 25.02

  * debian/rules:
    - build-depend on libsuitesparse-dev also on internal lpsolve case
    - move liblpsolve55.so into -calc{,-nogui}; only libsolverlo.so
      (in -calc{,-nogui}) needs it
  * debian/control.in: add Replaces: to libreoffice-calc{,-nogui} to
    libreoffice-core{,-nogui} (<< 4:25.2.1-3~)

 -- Rene Engelhard <rene@debian.org>  Thu, 06 Mar 2025 17:41:13 +0100

libreoffice (4:25.2.1-2) unstable; urgency=medium

  * debian/rules:
    - actually do not set file:///etc/libreoffice/registry in
      CONFIGURATION_LAYERS at all. Does not what one expects... Rely on
      the /usr/lib/libreoffice/share/registry/main.xcd ->
      /etc/libreoffice/registry/main.xcd symlink
    - install oo-ldap.xcd.sample oo-ad-ldap.xcd.sample symlinks into
      /usr/lib/libreoffice/share/registry
  * debian/libreoffice-l10n.preinst.in:
    - try to rmdir /etc/libreoffice/registry/res if existing as cleanup

 -- Rene Engelhard <rene@debian.org>  Thu, 27 Feb 2025 21:02:59 +0100

libreoffice (4:25.2.1-0ubuntu1) plucky; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 27 Feb 2025 08:58:35 +0100

libreoffice (4:25.2.1-1) unstable; urgency=medium

  * LibreOffice 25.2.1 release (identical to rc2)

  * upload to unstable

  * debian/control.lang.in: also add Pre-Depends: on -common for -l10n-*
    (closes: #1098913)
  * debian/rules:
    - guard extra ENABLE_KF5=y setting for bookworm-backports with ifeq
      so that we don't set them on indep builds

 -- Rene Engelhard <rene@debian.org>  Wed, 26 Feb 2025 15:47:40 +0100

libreoffice (4:25.2.1~rc2-0ubuntu1) plucky; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 24 Feb 2025 12:09:43 +0100

libreoffice (4:25.2.1~rc2-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/patches/disable-flaky-tests.diff: disable sw.SwXAutoTextGroup (for
    now)

  * fix up config file handling/registry handling. (overzealous move to /etc
    and ucf handling).
    Don't mark files only intended for registration of the component and do not
    have stuff which the user can/should sensibly edit out of ucf:
    - debian/libreoffice-common.ucf, debian/rules: remove everything except
      main.xcd as an ucf-managed conffile
    - debian/*.ucf: remove for everything except -common (see above)
    - debian/*.preinst.in: ucfr --force --purge for the above, also in install
      case if the files exists due to intermediate removal of the package in
      upgrades
    - debian/control.*in: add various Pre-Depends: ucf and update Conflicts:.
      Since the Conflicts: above do not ensure a working ordering, add
      Pre-Depends: libreoffice-common (>= 4:25.2.1~rc1-3~), too (basically
      approved on #debian-devel)
    - debian/libreoffice-common.maintscript: symlink_to_dir for
      /usr/lib/libreoffice/registry
    - debian/patches/split-evoab.diff, patches/split-sdbc-firebird-mariadb.diff:
      merge into ...
    - debian/patches/splits-adapt-registry.diff: ... here. Add hsqldb.xcu
    - debian/rules:
      + install new hsqldb.xcu into -sdbc-hsqldb
      + add /etc/libreoffice/registry as second search location to
        CONFIGURATION_LAYERS instead of overwriting
        /usr/lib/libreoffice/share/registry with it

  * debian/rules:
    - move armhf away from full make check, in consistency with the other
      32bit archs
  * debian/tests/control: disable build-needed tests again...
  * debian/tests/uicheck-xmlsecurity, debian/tests/control.in: add initial
    uicheck-xmlsecurity autopkgtest, commented out for now
  * debian/control.in: add Replaces: libreoffice-common (= 4:24.8.5-1)
    in -sdbc-hsqldb, see 4:24.8.4-2s changelog

 -- Rene Engelhard <rene@debian.org>  Sun, 23 Feb 2025 21:08:03 +0100

libreoffice (4:25.2.1~rc1-0ubuntu1) plucky; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 10 Feb 2025 08:48:48 +0100

libreoffice (4:25.2.1~rc1-2) experimental; urgency=medium

  * debian/rules:
    - fix -B builds, only add share/wordbook/xy.dic to -l10n-xy.install
      if actually present 

 -- Rene Engelhard <rene@debian.org>  Sat, 08 Feb 2025 09:24:51 +0100

libreoffice (4:25.2.1~rc1-1) experimental; urgency=medium

  * New upstream release candidate
    - fixes CVE-2025-1080

  * debian/rules:
    - cleanup '/usr/lib/libreoffice/share/wordbook':
      + create empty /usr/lib/libreoffice/share/wordbook/common, now supposed
        to be there
      + install en-US.dic to -common and {en-GB,en-US,sl,hu_AkH11}.dic to
        their respective packages.
      + Don't install duplicates of technical.dic
    - be strict in which libfbclient2 we allow by forcing <<
      in shlibs.local
  * debian/libreoffice-sdbc-firebird.bug-script.in: add again, firebird actually
    is available only with Experimental features enabled (again, since some time)
  * debian/control.in, debian/control.firebird.in: add "(embedded)" to the
    -sdbc-firebird (related) descriptions to make clear this is embedded and
    connection to a remote firebird
  * debian/control.in: add "embedded" to -sdbc-hsqldbs short Descripton to
    make it more clear

 -- Rene Engelhard <rene@debian.org>  Fri, 07 Feb 2025 15:32:48 +0100

libreoffice (4:25.2.0~rc3-2) experimental; urgency=medium

  * debian/rules:
    - deduct firebirdX.Y-sever-core version from fb_config --version 

 -- Rene Engelhard <rene@debian.org>  Sat, 25 Jan 2025 22:16:38 +0100

libreoffice (4:25.2.0~rc3-1) experimental; urgency=medium

  * New upstream release candidate 

 -- Rene Engelhard <rene@debian.org>  Fri, 24 Jan 2025 18:10:57 +0100

libreoffice (4:25.2.0~rc3-0ubuntu1) plucky; urgency=mediums

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 24 Jan 2025 14:00:52 +0100

libreoffice (4:25.2.0~rc2-0ubuntu1) plucky; urgency=medium

  * New upstream release candidate
  * Usage of "Source xxx Pro" fonts was replaced upstream, drop our patches
  * Build with firebird4.0

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 20 Jan 2025 12:27:45 +0100

libreoffice (4:25.2.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/rules:
    - revert "temporarily disable qt6-multimedia on arm64"
    - build completeley with clang on i386 (closes: #1092206)

 -- Rene Engelhard <rene@debian.org>  Sun, 12 Jan 2025 22:22:09 +0100

libreoffice (4:25.2.0~rc1-4) experimental; urgency=medium

  * debian/rules: oops, explicitely --disable-qt6-multimedia, the default
    upstream actually is to enable it

 -- Rene Engelhard <rene@debian.org>  Tue, 31 Dec 2024 00:09:54 +0100

libreoffice (4:25.2.0~rc1-3) experimental; urgency=medium

  * debian/rules: temporarily disable qt6-multimedia on arm64 to get it
    built there now that qt6-multimedia is blocked in the jpeg-xl transition
    and ffmpeg arm64 FTBFS...

 -- Rene Engelhard <rene@debian.org>  Mon, 30 Dec 2024 13:55:43 +0100

libreoffice (4:25.2.0~rc1-2) experimental; urgency=medium

  * debian/patches/disable-uitest-xmlsecurity-gpg.diff: as name says;
    until we find out why it works locally but not on the buildds
    (unshare?)

 -- Rene Engelhard <rene@debian.org>  Sun, 29 Dec 2024 20:51:01 +0100

libreoffice (4:25.2.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate
    - fixes CVE-2024-12426

 -- Rene Engelhard <rene@debian.org>  Fri, 20 Dec 2024 06:28:43 +0100

libreoffice (4:25.2.0~beta1-2) experimental; urgency=medium

  * debian/patches/skia-loongarch64-lasx.diff: fix build of skia
    on loong64 (missing _lasx files compiled)
  * debian/patches/moreIconsDialog-accesses-internet.diff: update
    and simplify
  * debian/patches/fix-32bits-test-build.diff: as name says

  * debian/control.gtk3.in: make libreofficekit-dev-gtk arch-dep again
    (for now) since it contians .gir which is supposed to be in an arch-dep
    package and dh_girepository fails otherwise on -A where .typelib is not
    present

 -- Rene Engelhard <rene@debian.org>  Sun, 08 Dec 2024 20:14:52 +0100

libreoffice (4:25.2.0~beta1-1) experimental; urgency=medium

  * New upstream beta release

  * debian/patches/disable-flaky-tests.diff: revert disabling from alpha1-1,
    fixed upstream

  * debian/rules:
    - don't set BUILD_PLASMA=n on build-indep builds if
      PLASMA_ARCHITECTURE=all

 -- Rene Engelhard <rene@debian.org>  Thu, 05 Dec 2024 20:22:25 +0100

libreoffice (4:25.2.0~alpha1-1) experimental; urgency=medium

  * New upstream alpha release
    - fixes CVE-2024-12425

  * debian/patches/disable-flaky-tests.diff: disable
    SwTiledRenderingTest, testStatusBarPageNumber for now.
  * debian/patches/riscv-disable-NaN-test.diff: remove ...
  * debian/patches/riscv-nan-tests-configure-option.diff: ... and add this
    from https://gerrit.libreoffice.org/c/core/+/174801

  * debian/control.lokit.in: make libreofficekit-dev Arch: all
  * debian/rules, debian/control.gtk3.in, debian/control.lokit.in,
    debian/control.sdk.in: split LibreOfficeKitGtk.h (and the .gir) into new
    libreofficekit-dev-gtk so it's not magically vanishing from
    libreofficekit-dev when Gtk3 was disabled at some point in time but is more
    prominent. 
    Make new libreofficekit-dev-gtk depend on libgtk-3-dev instead of
    suggesting it and depend on libreofficekitgtk. Make libreofficekit-dev
    suggest the new libreofficekit-dev-gtk
  * debian/rules:
    - enable tl langpack
    - temporarily use internal lpsolve
    - PLASMA_VERSION=6; disable -kf5, keep -qt5 enabled, though
    - use new --disable-nan-tests on riscv64
  * debian/rules, debian/control.plasma.in: make -plasma Arch: all
    (except on bookworm-backports)

 -- Rene Engelhard <rene@debian.org>  Sat, 23 Nov 2024 19:59:13 +0100

libreoffice (4:24.8.4~rc2-0ubuntu1) plucky; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 13 Dec 2024 15:32:27 +0100

libreoffice (4:24.8.4~rc1-0ubuntu1) plucky; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sun, 01 Dec 2024 19:56:51 +0100

libreoffice (4:24.8.3-1) unstable; urgency=medium

  * New upstream release
    - fixes SyntaxWarning: invalid escape sequence '\P' in officehelper.py
      (closes: #1082775)
    - (closes: #1064494) by reverting the 24-2 changes causing this

 -- Rene Engelhard <rene@debian.org>  Sun, 10 Nov 2024 15:24:11 +0100

libreoffice (4:24.8.3-0ubuntu1) plucky; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 08 Nov 2024 18:37:40 +0100

libreoffice (4:24.8.2-1) unstable; urgency=medium

  * LibreOffice 24.8.2 final (indentical to rc1...) 

  * upload to unstable

 -- Rene Engelhard <rene@debian.org>  Fri, 27 Sep 2024 17:38:49 +0200

libreoffice (4:24.8.2~rc1-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/rules: add some explanatory comments for AUTOPKGTEST_BUILD
  * debian/tests/control.in:
    - make testtools-bridgetest-without-java Architecture: %OOO_NOJAVA_ARCHS%
      only run on archs where Java is disabled (also because on amd64 it fails
      with a full with-Java build tree, like with build-needed tests)
    - enable most of the build-needed tests: fake-build-tests,
      cppunit-subsequentcheck, slowcheck, unitcheck (amd64 only)

 -- Rene Engelhard <rene@debian.org>  Mon, 23 Sep 2024 18:53:14 +0200

libreoffice (4:24.8.2-0ubuntu1) oracular; urgency=medium

  * New upstream release
  * Update "Noto Sans" and "Source Sans" patches

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 25 Sep 2024 10:55:01 +0200

libreoffice (4:24.8.1-2) unstable; urgency=medium

  * upload to unstable

  * debian/rules: don't use <!nocheck> on libcppunit-dev build-dep
    for now since it's (per default) assumed to be there by configure
    used in build-indep and that fails with -Pnocheck 

 -- Rene Engelhard <rene@debian.org>  Sun, 22 Sep 2024 23:40:32 +0200

libreoffice (4:24.8.1-1) experimental; urgency=medium

  * New upstream release

  * debian/rules: split check target into build-tests and check.
    Set BUILD_ONLY_EN_US=y for the build inside autopkgtest
  * debian/control.in, debian/fake-build-tests: handle new autopkgtest
    which does a nocheck build by running build-tests before attempting to
    run the tests. Subject to timeout at 150m/160m. Change mkdir -ps to
    touch since that also works
  * debian/tests/{cppunit-subsequent,slow,unit}check: skip if
    fake-build-tests get timeout (aka skipped)
  * debian/rules, debian/control.{mysql,}.in: ensure the mysql test is
    always last

 -- Rene Engelhard <rene@debian.org>  Wed, 18 Sep 2024 18:14:37 +0200

libreoffice (4:24.8.1-0ubuntu1) oracular; urgency=medium

  * New upstream release
  * debian/rules: Switch to plasma 6 support

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 09 Sep 2024 14:58:23 +0200

libreoffice (4:24.8.1~rc1-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/patches/jdk-minimal-and-zero-paths.diff: add new
    minimal/zero JDK paths as of OpenJDK 21, thanks
    WANG Xuerui <i.salsa@xen0n.name> (closes: #1079438).
    Keep Java disabled on armel though for consistency with armhf
  * debian/patches/moreIconsDialog-accesses-internet.diff: fix logic
  * debian/tests/control.in: go sure and add needs-internet restriction here,
    too (it runs a additiondialog UI test)

 -- Rene Engelhard <rene@debian.org>  Fri, 23 Aug 2024 16:44:00 +0200

libreoffice (4:24.8.0-0ubuntu2) oracular; urgency=medium

  * Pass CFLAGS, CXXFLAGS, CPPFLAGS, and LDFLAGS to external projects
    (LP: #2073128)

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 03 Sep 2024 15:38:30 +0200

libreoffice (4:24.8.0-0ubuntu1) oracular; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 12 Aug 2024 11:03:15 +0200

libreoffice (4:24.8.0~rc3-2) experimental; urgency=medium

  * debian/rules: add armel to JAVA_BRIDGE_BROKEN_ARCHS

  * merge from Ubuntu:
  [ Rico Tzschichholz ]
    - debian/patches/fix-32bit-gtk4-a11y-build.diff: as name says

 -- Rene Engelhard <rene@debian.org>  Fri, 09 Aug 2024 17:35:40 +0200

libreoffice (4:24.8.0~rc3-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/patches/gcc-14-armhf-registers.diff: remove explicit mention
    of r0 and r1 registers to fix build with gcc 14 on armhf

 -- Rene Engelhard <rene@debian.org>  Thu, 08 Aug 2024 23:35:34 +0200

libreoffice (4:24.8.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/rules:
    - don't manually install LibreofficeKit/ includes anymore
  * debian/control.sdk.in:
    - make -dev recommend librofficekit-dev since it's now installed upstream
      in the SDK
  * debian/libreofficekit-dev.links: add symlink from (new) SDK location to
    /usr/include/LibreOfficeKit directly (as already packaged)

 -- Rene Engelhard <rene@debian.org>  Fri, 26 Jul 2024 16:32:04 +0200

libreoffice (4:24.8.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate
    - removes ability to trust not validated macro signatures in high security
      (CVE-2024-6472)
    - does not trust signatures in "repair mode" anymore (CVE-2024-7788)

  * debian/patches/add-access2base-doc.diff: update; remove embedded jquery
    and add src=/usr/share/javascript/jquery/jquery.min.js (closes: #1073808)
 
  * debian/control.in:
    - make python3-access2base Suggest libjs-jquery for above

  * debian/rules:
    - go sure and build-depend on libgtk-4-dev >= 4.10 (needed for
      accessibility stuff for example) on sid
    - build-depend on pkgconf instead of pkg-config
    - don't recommend versioned kf5 kio in -kf6

 -- Rene Engelhard <rene@debian.org>  Mon, 08 Jul 2024 20:08:05 +0200

libreoffice (4:24.8.0~beta1-1) experimental; urgency=medium

  * debian/patches/no-check-if-root.diff: remove; we set RRR: no anyways
    nowadays

  * New upstream beta release
    - fixes CVE-2024-5261: TLS certificate are not properly verified when
      utilizing LibreOfficeKit

  * debian/rules:
    - recommend kio >> 5.115.0-5 in -kf5
  * debian/rules, debian/control.sdk.in:
    - move addon_console.py* to -dev-common and add Replaces: to -dev

libreoffice (4:24.2.5-0ubuntu2) oracular; urgency=medium

  * Use gcc 13 on armhf (LP: #2074375)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 05 Aug 2024 19:18:21 +0200

libreoffice (4:24.2.5-0ubuntu1) oracular; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sun, 14 Jul 2024 19:31:32 +0200

libreoffice (4:24.2.5-1) unstable; urgency=medium

  * New upstream release candidate

  * debian/rules:
    - go sure and build-depend on libgtk-4-dev >= 4.10 (needed for
      accessibility stuff for example) on sid

 -- Rene Engelhard <rene@debian.org>  Fri, 21 Jun 2024 17:51:16 +0200

libreoffice (4:24.2.4-0ubuntu1) oracular; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 05 Jun 2024 08:26:06 +0200

libreoffice (4:24.2.4-1) unstable; urgency=medium

  * New upstream release
    - fixes CVE-2024-5261: TLS certificate are not properly verified when
      utilizing LibreOfficeKit

  * merge from Ubuntu:
    [ Rico Tzschichholz ]
    Make sure ucf is available before installing python3-uno

 -- Rene Engelhard <rene@debian.org>  Tue, 11 Jun 2024 20:02:11 +0200

libreoffice (4:24.8.0~alpha1-4) experimental; urgency=medium

  * debian/control.kf6.in:
    - really change amd64 to %OOO_ARCHS% here

 -- Rene Engelhard <rene@debian.org>  Sat, 25 May 2024 12:53:29 +0000

libreoffice (4:24.8.0~alpha1-3) experimental; urgency=medium

  * debian/rules:
    - remove amd64 restriction from kf6 build; now available
      (almost) everywhere
    - don't loose -qt5 if PLASMA_VERSION=6 as we might need it for -kf5
      still; don't make that depends on the plasma version
    - fix install if PLASMA_VERSION=X but there's no kdeXbe (yet)

 -- Rene Engelhard <rene@debian.org>  Fri, 17 May 2024 22:30:36 +0200

libreoffice (4:24.8.0~alpha1-2) experimental; urgency=medium

  * debian/patches/junit-subsequentcheck-standalone.diff,
    debian/patches/odk-build-examples-standalone.diff: fix to apply
  * debian/patches/fix-odk-build-examples-on-32bit.diff: as name says,
    from gerrit 

  * debian/tests/control: add libreoffice-math to uicheck-sws Depends 
  * debian/rules:
    - enable libreoffice-kf6 (only on amd64 for now)

 -- Rene Engelhard <rene@debian.org>  Thu, 16 May 2024 17:12:45 +0200

libreoffice (4:24.8.0~alpha1-1) experimental; urgency=medium

  * debian/patches/riscv-disable-NaN-test.diff: disable the NaN test on riscv;
    see below

  * New upstream alpha release

  * debian/rules:
    - use system-rhino
    - move bsh (and the new rhino) build-dep to Build-Depends-Indep: and
      build rhino and bsh scripting only in build-indep (and disable bsh/rhino
      for the "make check" configure call, too)
    - remove obsolete dh_testroot in clean target
  * debian/*.maintscript: long obsolete, remove
  * debian/libreoffice-calc.{templates,config,postinst.in},
    debian/po/*: add debconf note on riscv64 about NaN passing and Calc
    maybe having problems (in the same idea as and under anticipation of
    https://gerrit.libreoffice.org/c/core/+/165391 and until that one is in
    upstream)
  * debian/rules: add build-depends on po-debconf
  * debian/rules, debian/control.plasma.in:
    - prepare -plasma to say Kf6 (add @PLASMA_KF_VERSION@)

 -- Rene Engelhard <rene@debian.org>  Tue, 14 May 2024 17:44:05 +0000

libreoffice (4:24.2.4~rc2-0ubuntu1) oracular; urgency=medium

  * New upstream release candidate
  * debian/control.in: Make sure ucf and awk are available before installing
    python3-uno

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 05 Jun 2024 08:26:06 +0200

libreoffice (4:24.2.4~rc1-0ubuntu1) oracular; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 22 May 2024 10:21:15 +0200

libreoffice (4:24.2.3-2) unstable; urgency=medium

  * debian/patches/use-PyConfig.diff: backport from master;
    fix build with python 3.13
  * debian/patches/reviewed-breakIterator-customizations.diff: backport
    from master; add tests to what is expected (and needed for the following
    patch to apply)
  * debian/patches/breakiterator-updates.diff: backport from master; re-bases
    the BreakIterator rule customizations on top of a clean copy of the ICU
    74.2 rules. Fixes build with ICU 74 and 75
  * debian/patches/icu-74.1.diff: new unicode stuff for ICU 74+, for
    completeness

  * debian/rules:
    - don't loose -qt5 if PLASMA_VERSION=6 as we might need it for -kf5
      still; don't make that depends on the plasma version
    - fix install if PLASMA_VERSION=X but there's no kdeXbe (yet)
    - recommend kio >> 5.115.0-5 in -kf5
  * debian/rules, debian/control.plasma.in:
    - prepare -plasma to say Kf6 (add @PLASMA_KF_VERSION@)

 -- Rene Engelhard <rene@debian.org>  Wed, 22 May 2024 16:18:58 +0000

libreoffice (4:24.2.3-1) unstable; urgency=medium

  * LibreOffice 24.2.3 final release (identical to rc2)

  * upload to unstable 

 -- Rene Engelhard <rene@debian.org>  Mon, 29 Apr 2024 21:36:22 +0200

libreoffice (4:24.2.3~rc2-0ubuntu1) oracular; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 30 Apr 2024 08:08:15 +0200

libreoffice (4:24.2.3~rc2-1) experimental; urgency=medium

  * New upstream release candidate

 -- Rene Engelhard <rene@debian.org>  Mon, 29 Apr 2024 20:53:47 +0200

libreoffice (4:24.2.3~rc1-3) unstable; urgency=medium

  * debian/rules:
    - revert bsh build change from -2 for now

 -- Rene Engelhard <rene@debian.org>  Wed, 17 Apr 2024 21:07:49 +0200

libreoffice (4:24.2.3~rc1-2) unstable; urgency=medium

  * upload to unstable

  * debian/rules:
    - move bsh build-dep to Build-Depends-Indep: and build rhino
      and bsh scripting only in build-indep

 -- Rene Engelhard <rene@debian.org>  Wed, 17 Apr 2024 17:40:08 +0200

libreoffice (4:24.2.3~rc1-1) experimental; urgency=medium

  * New upstream release candidate
    - fixes CVE-2024-3044 ("Graphic on-click binding allows unchecked script
      execution")

  * debian/rules:
    - more target fixes to make Rules-Requires-Root: no work
      + make binary-{arch,indep} depend on prepare and build-{arch,indep} since
        with Rules-Requires-Root: no "build{-*}" is not calld anymore itself
      + fix install-common dependencies (needs to depend on
        $(STAMP_DIR)/build-{arch,indep}; only depend on build-arch/build-indep
        on binary-arch/binary-indep builds)
    - check for binary-indep instead of build-indep for arch-indep builds as
      Rules-Requires-Root: no builds now (only) call binary-indep without
      build-indep before
    - remove firebird/KDE workerounds in install-common again; works without
      with binary-indep/Rules-Requires-Root: no now
    - remove extra individual Suggests on -{hyphenation,spellcheck}-xy
    - fix the ability to ignore make check errors;
      don't let the value be overridden by the list of archs where
      "smoketest-only" is fatal
  * debian/control.in: set Rules-Requires-Root: no
  * debian/control.lang.in: add Suggests on -{hyphenation,spellcheck}-xy
    unconditionally for all languages

 -- Rene Engelhard <rene@debian.org>  Thu, 11 Apr 2024 19:59:04 +0200

libreoffice (4:24.2.2-0ubuntu1) noble; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 02 Apr 2024 12:47:39 +0200

libreoffice (4:24.2.2-3) unstable; urgency=medium

  * debian/rules: make -commons -mysql and -firebird Breaks: << 4:24.2.2-2~
    to fix it in backports
  * debian/rules: guard firebird_sdbc.xcu install in install-common;
    only try if it exists (as the qt/kde stuff) and add comment to the
    build-indep check why

 -- Rene Engelhard <rene@debian.org>  Sun, 31 Mar 2024 12:25:17 +0200

libreoffice (4:24.2.2-2) unstable; urgency=medium

  * debian/patches/split-sdbc-firebird-mariadb.diff: create extra
    {mysqlc,firebird_sdbc}.xcd as for evoab. Otherwise configuration
    parts of it ends up (or not in indep builds) in libreoffice-commons
    main.xcd
  * debian/rules: 
    - install new {mysqlc,firebird_sdbc}.xcd into the respective
      packages
    - build-depend on liborcus-dev (>> 0.19.2-3+b1) as for libxmlsec1-dev
  * debian/libreoffice-sdbc-{mysql,firebird}.ucf: add 
  * debian/control.in: add Breaks: -sdbc-{mysql,firebird} (<< 4:24.2.2-2)
    to libreoffice-common

 -- Rene Engelhard <rene@debian.org>  Sat, 30 Mar 2024 09:30:30 +0000

libreoffice (4:24.2.2-1) unstable; urgency=medium

  * LibreOffice 24.2.2 release (identical to rc2)

  * upload to unstable

 -- Rene Engelhard <rene@debian.org>  Thu, 28 Mar 2024 08:28:58 +0000

libreoffice (4:24.2.2~rc2-2) experimental; urgency=medium

  * debian/rules:
    - explicitely --disable-* GTK3/dbus/gpgmepp if not to be enabled 
    - fix DBUS disabling for build-indep

 -- Rene Engelhard <rene@debian.org>  Wed, 27 Mar 2024 17:23:35 +0000

libreoffice (4:24.2.2~rc2-0ubuntu1) noble; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 22 Mar 2024 23:31:51 +0100

libreoffice (4:24.2.2~rc2-1) experimental; urgency=medium

  * debian/patches/python-3.12.diff: add from libreoffice-24-2 branch;
    only a warning here but probably senseful to have anyway

  * New upstream release candidate

  * debian/rules:
    - build-depend on python3-setuptools instead of
      python3-distutils (closes: #1065893) 
    - move images_helpimg.zip to libreoffice-help-common
    - don't make build: call build-arch and build-indep manually but
      depend on it (and $(STAMP_DIR)/prepare)
    - reduce some build-deps to make transitions easier with all the
      build-deps we have:
      + move fontforge to B-D-I and rebuild opens___.ttf as before. Make
        arch-dep builds use fonts-opensymbol and it's copy as it's already
        there.
        Implement build profiles to change behaviour here should there
        ever be need for it (e.g. if one needed a new version of
        opensymbol for the tests and it's not available (yet)).
      + aggressively disable unneeded stuff for build-indep builds we don't
        need for generating the indep stuff. Move their build deps to
        Build-Depends-Arch:. Work around install failures for the KDE stuff in
        install-common
    - move install of the lokit and gir stuff from install-common to
      install-arch, both libreofficekit-dev and gir1.2-lokdocview-0.1
      are arch-dep anyway
  * debian/control.in: add replaces to libreoffice-common on
    libreoffice-help-common for the images_helpimg.zip move

 -- Rene Engelhard <rene@debian.org>  Fri, 22 Mar 2024 20:37:15 +0100

libreoffice (4:24.2.2~rc1-2) experimental; urgency=medium

  * debian/patches/fix-32bit-build.diff: as name says; from upstream
    gerrit

 -- Rene Engelhard <rene@debian.org>  Fri, 08 Mar 2024 10:13:05 +0100

libreoffice (4:24.2.2~rc1-1) experimental; urgency=medium

  * New upstream release candidate

 -- Rene Engelhard <rene@debian.org>  Thu, 07 Mar 2024 16:55:54 +0100

libreoffice (4:24.2.1-4) unstable; urgency=medium

  * debian/rules:
    - re-enable libreoffice-evolution; rm evolocal.odb if evolution is
      disabled, though (otherwise ends up in -common) (closes: #1065461)
  * debian/control.evolution.in:
    - add Replaces: libreoffice-common (= 4:24.2.1-3)

 -- Rene Engelhard <rene@debian.org>  Tue, 05 Mar 2024 07:05:44 +0100

libreoffice (4:24.2.1-3) unstable; urgency=medium

  * don't pass -Nlibreoffice-evolution to debhelper, it's disabled everywhere 

 -- Rene Engelhard <rene@debian.org>  Mon, 04 Mar 2024 06:17:06 +0100

libreoffice (4:24.2.1-2) unstable; urgency=medium

  * debian/rules: temporarily disable libreoffice-evolution

 -- Rene Engelhard <rene@debian.org>  Sun, 03 Mar 2024 18:47:08 +0000

libreoffice (4:24.2.1-0ubuntu1) noble; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 29 Feb 2024 17:41:12 +0100

libreoffice (4:24.2.1-1) unstable; urgency=medium

  * LibreOffice 24.2.1 final (identical to rc2)

  * upload to unstable

  * debian/rules:
    - also suggest libreoffice-{hyphenation,spellcheck}-tr in -l10n-tr
      and libreoffice-{hyphenation,spellcheck}-fr in -l10n-fr (as for fi)
    - revert building with -O2 on riscv64. Makes payloadNaN test pass on
      boards which failed before, so it's probably not a correct result.
      upstream makefile does -Os anyways
    - add some more safety nets for t64:
      - Build-Depend on dpkg-dev (>= 1.22.5) on affected archs
      - Build-Depend on libxmlsec1-dev (>= 1.2.39-5) on affected archs

 -- Rene Engelhard <rene@debian.org>  Wed, 28 Feb 2024 18:06:52 +0100

libreoffice (4:24.2.1~rc2-1) experimental; urgency=medium

  * New upstream release candidate 

 -- Rene Engelhard <rene@debian.org>  Sun, 25 Feb 2024 16:22:37 +0100

libreoffice (4:24.2.1~rc2-0ubuntu1) noble; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sun, 25 Feb 2024 20:55:58 +0100

libreoffice (4:24.2.1~rc1-0ubuntu1) noble; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 09 Feb 2024 17:30:21 +0100

libreoffice (4:24.2.0~rc3-0ubuntu1) noble; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sun, 28 Jan 2024 13:59:53 +0100

libreoffice (4:24.2.1~rc1-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/rules:
    - enable hy (Armenian) langpack
    - error out on bookworm-backports if we detect t64 packages. Mention
      needed revert 
    - fix to actually make parallel build/packaging of kf5/(upcoming) kf6
      work
    - micro-optimization: don't build-depend on default-jdk for architectures
      where Java is disabled
    - try building with -O2 on riscv64; the test bug is supposed to be fixed
      and since the latest gcc-13/binutils -O2 also links
  * debian/rules, debian/control.plasma.in: conditionalize -kfX Recommends

 -- Rene Engelhard <rene@debian.org>  Fri, 09 Feb 2024 17:01:49 +0100

libreoffice (4:24.2.0-3) experimental; urgency=medium

  * debian/rules:
    - stop running debian/rules control in the clean target again; otherwise
      we FTBFS due to control differences now on architectures where some stuff
      is disabled (and be it test-only build-deps) 

 -- Rene Engelhard <rene@debian.org>  Sat, 03 Feb 2024 08:41:32 +0100

libreoffice (4:24.2.0-2) experimental; urgency=medium

  * debian/patches/sw-do-not-require-cui.diff: do not require cui in sw, from
    upstream (closes: #1058653)

  * debian/rules:
    - don't create debian/control and debian/test/control but an intermediate
      control.new
    - run debian/rules control in the clean target again but don't directly
      overwrite debian/control - diff -u against control.new and warn instead 
  * debian/libuno*, debian/control.ure.in, debian/rules:
    Rename libraries for 64-bit time_t transition.

 -- Rene Engelhard <rene@debian.org>  Tue, 30 Jan 2024 21:04:30 +0000

libreoffice (4:24.2.0-1) unstable; urgency=medium

  * LibreOffice 24.2.0 final release

  * debian/patches/fix-riscv64-bridge.diff: as name says; more riscv64 bridge
    fixes from https://gerrit.libreoffice.org/c/core/+/160970

  * debian/control.lokit.in: add ${gir:Depends} and ${gir:Provides} to
    libreofficekit-dev 
  * debian/rules:
    - re-enable Java on riscv64 
    - build with --disable-split-debug on riscv64
    - stop running debian/rules control in the clean target; forbidden

 -- Rene Engelhard <rene@debian.org>  Sat, 27 Jan 2024 13:25:02 +0000

libreoffice (4:24.2.0~rc2-0ubuntu1) noble; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 11 Jan 2024 22:36:38 +0100

libreoffice (4:24.2.0~rc2-2) unstable; urgency=medium

  * upload to unstable 

 -- Rene Engelhard <rene@debian.org>  Sat, 13 Jan 2024 20:26:16 +0100

libreoffice (4:24.2.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/rules:
    - add junit-subsequentcheck after all the other tests, not before
    - also disable Java on riscv64 to get bridgetest pass.
      Now it fails on a new sal test in 7.6 which shows riscv64 doesn't have
      stuff defined in the architecture which libreoffice needs.
      Keep it allowed in Architecture: (for now), though.
  * debian/tests/control*in: adapt newlines accordingly 
  * debian/watch: watch rcs again 

 -- Rene Engelhard <rene@debian.org>  Thu, 11 Jan 2024 18:29:04 +0000

libreoffice (4:24.2.0~rc1-2) experimental; urgency=medium

  * debian/rules:
    - don't remove libforuilo.so in -core-nogui. (closes: #1059158)
      It's subsumed in libmerged on 64bit archs anyway which we definitely
      need to keep anyway (similar as libuuilo.so).
    - actually re-enable junit
  * debian/tests/control.junit.in: add missing newline 

 -- Rene Engelhard <rene@debian.org>  Mon, 01 Jan 2024 11:30:04 +0100

libreoffice (4:24.2.0~rc1-0ubuntu1) noble; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 21 Dec 2023 20:39:55 +0100

libreoffice (4:24.2.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/rules:
    - re-enable junit
  * debian/rules, debian/control.ure.in:
    - move java_websocket.jar from ure to ure-java

 -- Rene Engelhard <rene@debian.org>  Thu, 21 Dec 2023 18:06:42 +0100

libreoffice (4:24.2.0~beta1-1) experimental; urgency=medium

  * New upstream beta release

  * debian/tests/patches/odk-build-examples-standalone.diff: make apply again
  * debian/python3-uno.ucf: remove
  * debian/python3-uno.preinst.in: remove /etc/libreoffice/registry/pyuno.xcd -
    gone upstream (and was a noop before anyway)

 -- Rene Engelhard <rene@debian.org>  Sat, 09 Dec 2023 09:34:51 +0100

libreoffice (4:24.2.0~alpha1-1) experimental; urgency=medium

  * New upstream alpha release
    - Border line style control is now a11y accessible (closes: #870612)
    - fixes CVE-2023-6186: "Link targets allow arbitrary script execution"

  * debian/rules, debian/control.kf6.in: add initial support for kf6 backend
    added upstream (not enable yet obviously). Only build one of kf5/kf6 at a
    time since I guess we won't ship plasma 5 and plasma 6 in parallel
  * debian/rules:
    - enable the new atspi tests, add xvfb, xauth, dbus-x11
      and at-spi builddeps
    - temporarily disable junit, crashy
  * debian/tests/control*in, debian/rules:
    - split junit-subsequentcheck into extra control.junit.in

 -- Rene Engelhard <rene@debian.org>  Mon, 27 Nov 2023 19:25:26 +0100

libreoffice (4:7.6.4-0ubuntu3) noble; urgency=medium

  * debian/patches/icu-74.1.diff:
    - Allow build with ICU 74.1

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 20 Dec 2023 17:41:10 +0100

libreoffice (4:7.6.4-0ubuntu1) noble; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 07 Dec 2023 22:10:12 +0100

libreoffice (4:7.6.4~rc1-1) unstable; urgency=medium

  * New upstream release candidate 

 -- Rene Engelhard <rene@debian.org>  Thu, 30 Nov 2023 19:47:03 +0100

libreoffice (4:7.6.3-0ubuntu3) noble; urgency=medium

  * Still need fix-bridgetest.diff to skip failing float-compound
    bridgetest on ppc64el

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sat, 25 Nov 2023 17:53:16 +0100

libreoffice (4:7.6.3-0ubuntu2) noble; urgency=medium

  * Drop fix-bridgetest.diff in favour of running
    testtools-bridgetest-with-java on amd64/arm64 only

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 24 Nov 2023 13:03:54 +0100

libreoffice (4:7.6.3-0ubuntu1) noble; urgency=medium

  * New upstream release
  * Keep java enabled on armhf, ppc64el and s390x

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 23 Nov 2023 12:47:23 +0100

libreoffice (4:7.6.3-2) unstable; urgency=medium

  * debian/rules:
    - ooops, revert unintended use of internal mdds, orcus

 -- Rene Engelhard <rene@debian.org>  Mon, 27 Nov 2023 19:15:44 +0100

libreoffice (4:7.6.3-1) unstable; urgency=medium

  * LibreOffice 7.6.3 final release (identical to rc2)

  * upload to unstable

  * debian/tests/testtools-bridgetest-with-java: re-gen config_host.mk if
    ENABLE_JAVA=n (testtools-bridgetest-without-java run before)
  * debian/rules:
    - revert back to using gnutls on bookworm-backports, librdf0-dev doesn't
      allow the ssl alternative yet...
    - add -fexcess-precision=fast to DEB_CFLAGS_MAINT_APPEND
      and (although supposedly no effect) DEB_CXXFLAGS_MAINT_APPEND since
      it seems it fixes the bridgetest problem on s390x/nojava;
      remove strict gcc-12/-13 build-dep on s390x again

 -- Rene Engelhard <rene@debian.org>  Mon, 27 Nov 2023 17:35:03 +0100

libreoffice (4:7.6.3~rc2-2) experimental; urgency=medium

  * debian/control.ure.in:
    - make ure-java actutally Architecture: %OOO_JAVA_ARCHS% 
  * debian/rules:
    - support nogir build profile
  * debian/control.gtk3.in: add Build-Profiles: <!nogir> 
  * debian/tests/control*in: update for no-Java builds
    - split testtools-bridgetest into with-java/without-java variants
    - add new %OOO_JAVA_AND_NOGUI_ARCHS%
    - make test-extensions-*, odk-build-examples-java
      Architecture: %OOO_JAVA_AND_NOGUI_ARCHS%
    - make sdk-complete %OOO_JAVA_ARCHS%

 -- Rene Engelhard <rene@debian.org>  Sun, 19 Nov 2023 13:15:15 +0000

libreoffice (4:7.6.3~rc2-1) experimental; urgency=medium

  * New upstream release candidate
    - fixes CVE-2023-6185: "Improper input validation enabling arbitrary Gstreamer
      pipeline injection"

  * debian/control*in:
    - add missing Build-Profiles: <!nopython>
    - add missing Build-Profiles: <!nojava>
  * debian/rules:
    - disable Java on ppc64el, s390x and armhf. Java bridge broken,
      works without Java
    - fix/improve no-Java builds:
      + don't try to install dbreport config modules into
        -uiconfig-report-builder if the report builder is disabled
      + switch OOO_BASE_ARCHS/OOO_REPORTBUILDER_ARCHS variables
        (build base on all architectures instead of Java architectures
        and report-builder-* only on archs where Java is enabled, not on
        "all base archs"); there's -sdbc-{mysql,postgresql,firebird} anyway
      + don't try to build Jar_{OOoRunner,test,ConnectivityTools} if Java is
        disabled as an extra safety net (instead of checking for junit only)
    - remove riscv64 from OOO_CHECK_ARCHS to run only the "smoketest tests"
    - bump libcmis build-dep to >= 0.6.1 
    - build against libcurl4-openssl-dev instead of gnutls

 -- Rene Engelhard <rene@debian.org>  Fri, 17 Nov 2023 07:05:17 +0100

libreoffice (4:7.6.3~rc1-0ubuntu2) noble; urgency=medium

  * Merge from debian

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 03 Nov 2023 18:05:23 +0100

libreoffice (4:7.6.3~rc1-2) experimental; urgency=medium

  * debian/rules:
    - readd fonts-crosextra-caladea build-dep; Cambria usage is back
  * debian/control.in:
    - duplicate Replaces: as Breaks: in -uiconfig-* (closes: #1055267)

 -- Rene Engelhard <rene@debian.org>  Fri, 03 Nov 2023 17:59:51 +0100

libreoffice (4:7.6.3~rc1-0ubuntu1) noble; urgency=medium

  * New upstream release candidate
  * debian/patches/fix-arm64-tests.diff:
    - Dropped while it got fixed upsteam

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 03 Nov 2023 08:39:14 +0100

libreoffice (4:7.6.3~rc1-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/rules:
    - re-enable cmis; bump libcmis build-dep to >= 0.6.0

 -- Rene Engelhard <rene@debian.org>  Fri, 03 Nov 2023 06:14:16 +0100

libreoffice (4:7.6.2-5) experimental; urgency=medium

  * oops, reupload with correct control 

 -- Rene Engelhard <rene@debian.org>  Tue, 31 Oct 2023 05:03:27 +0000

libreoffice (4:7.6.2-4) experimental; urgency=medium

  * debian/patches/patches/orcus-make-reference-resolver-available.diff: add
    from upstream master; fix tests with orcus 0.19

  * debian/rules:
    - bump gcc build-deps to gcc defaulting to --disable-s390-excess-float-precision
      on s390x - the bridge test fails otherwise (with-Java still fails,
      though...)
  * debian/control: regen with proper Bugs:, oops

 -- Rene Engelhard <rene@debian.org>  Mon, 30 Oct 2023 18:57:35 +0000

libreoffice (4:7.6.2-3) experimental; urgency=medium

  * debian/patches/kahansum-test-SSE2.diff: backport from upstream
    libreoffice-7-6 branch to fix test failure on !amd64

 -- Rene Engelhard <rene@debian.org>  Wed, 18 Oct 2023 20:45:52 +0200

libreoffice (4:7.6.2-2) experimental; urgency=medium

  * debian/rules:
    - allow liborcus 0.19, it's supposed to be API/ABI-compatible with 0.18

 -- Rene Engelhard <rene@debian.org>  Tue, 03 Oct 2023 14:13:35 +0200

libreoffice (4:7.6.2-1) experimental; urgency=medium

  * New upstream release

  * merge from Ubuntu:
    [ Rico Tzschichholz ]
    -  debian/rules: build with -ffp-contract=off on s390x, too

  * debian/patches/fix-ppc64el-bridges.diff: add from upstream gerrit
  * debian/rules:
    - go sure and add Build-Conflicts: against clang if arch is not in
      OOO_CLANG_ARCHS since ./configure will pick up an installed clang
      anyways otherwise
    - remove special-casing of using gcc-12 on s390x. While it fails with
      gcc 12 *and* 13 13 actually somehow has *lesser* failures, so just use
      that one

 -- Rene Engelhard <rene@debian.org>  Mon, 02 Oct 2023 21:53:56 +0200

libreoffice (4:7.6.2-0ubuntu1) mantic; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 22 Sep 2023 23:29:51 +0200

libreoffice (4:7.6.1~rc2-0ubuntu2) mantic; urgency=medium

  * autopkgtests: Skip one failing test on s390x

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 15 Sep 2023 07:39:03 +0200

libreoffice (4:7.6.1~rc2-0ubuntu1) mantic; urgency=medium

  * New upstream release candidate
  * Allow failing bridgetests on armhf/s390x
  * Skip failing float-compound bridgetest on arm/ppc64el/s390x
  * Fix StatisticalFunctionsTest::testStatisticalFormulasFODS on arm64
  * Build with -ffp-contract=off on s390x

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 11 Sep 2023 14:25:45 +0200

libreoffice (4:7.6.1~rc2-2) experimental; urgency=medium

  * merge from Ubuntu:
    [ Rico Tzschichholz ]
   - debian/rules: Fix move of
     /usr/lib/libreoffice/share/config/soffice.cfg/simpress
   - debian/tests/control: testtools-bridgetest requires default-jdk
   - debian/patches/fix-armhf-linker.diff:  Fix linking of libswlo.so
     on armhf

  * debian/tests/control.in: add ure-java and liblibreoffice-java to
    testtools-bridgetests' dependencies, too

 -- Rene Engelhard <rene@debian.org>  Mon, 11 Sep 2023 10:16:34 +0530

libreoffice (4:7.6.1~rc2-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/rules:
    - build with -ffp-contract=off on ppc64el 

 -- Rene Engelhard <rene@debian.org>  Thu, 07 Sep 2023 17:29:44 +0200

libreoffice (4:7.6.1~rc1-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/rules:
    - fix install of template(s) on bn-IN

 -- Rene Engelhard <rene@debian.org>  Wed, 23 Aug 2023 18:51:26 +0200

libreoffice (4:7.6.0~rc3-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/patches/fix-{riscv64,loong64}-bridges.diff: as name says; from
    upstream master 
  * debian/patches/curl-8.2.0.diff: add from upstream master; Adapt test
    code to cURL 8.2.0

 -- Rene Engelhard <rene@debian.org>  Tue, 08 Aug 2023 21:57:28 +0200

libreoffice (4:7.6.0~rc2-2) experimental; urgency=medium

  * debian/patches/fix-pdfexport-test.diff: add missing piece (as done
    in upstream libreoffice-7.6.0.2-buildfix1 tag) to fix pdfexport test  

  * debian/rules:
     - use gcc for skia on mipsel/mips64el, too

 -- Rene Engelhard <rene@debian.org>  Sat, 29 Jul 2023 10:47:21 +0200

libreoffice (4:7.6.0~rc2-1) experimental; urgency=medium

  [ Rene Engelhard ]
  * New upstream release candidate

  * debian/control.reportbuilder.in: also fix version in Replaces: here
    (closes: #1041899)
  * debian/watch: watch rcs again
  * debian/rules, debian/control.gtk4.in: move libavmediagtk.so to -gtk4
  
  [ merge from Ubuntu ]
  * debian/rules:
    - use gcc for skia on ppc64el for now

 -- Rene Engelhard <rene@debian.org>  Wed, 26 Jul 2023 20:19:42 +0200

libreoffice (4:7.6.0~rc1-2) experimental; urgency=medium

  [ merge from Ubuntu ]
  * debian/rules:
    + Use gcc-12 on s390x 
    + Build-dep on fonts-* regardless to provide a more complete testbed

  [ Rene Engelhard ]
  * debian/patches/dp_platform-riscv64-and-loongarch64.diff: actually make
    riscv64 and loongarch64 known to "the deployment"
  * debian/tests/patches/smoketest-disable-extension-tests.diff: run the smoketest
    also when extensions are disabled; we patch that out of the smoketest then
    anyway

  * debian/rules:
    - add more "no-make-check checks". sal, cppu(helper), comphelper, unoidl
    - build with noopt (aka -O0) on riscv64 (closes: #1039906)
    - force clang-14 | clang (<< 1:15~) on ppc64el for now
    - introduce new OOO_AUTOPKGTEST_ARCHS ("archs where autopkgtest
      theoretically are ran") and restrict the fonts-* build-deps to those
      (so that fonts-* needed in the uitests are there)
    - rm -f libdeploymentgui.so unconditionally for core-nogui; also remove when the
      arch is not in OOO_EXTENSIONS_ARCHS; also remove unopkg.bin and libunopkgapp.so
      from core if we built without extension support 
    - also force gcc-12 for i386

 -- Rene Engelhard <rene@debian.org>  Mon, 24 Jul 2023 20:33:16 +0000

libreoffice (4:7.6.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate 

  * debian/patches/we-dont-have-the-needed-fonts.diff: disable test which
    needs fonts neither provided in Debian (nor even upstream)
  * debian/patches/bash-completion-updates.diff: add pages to lowriters bash
    completion (closes: #1033186)
  * debian/temporarily-disable-test-metadata-test.diff: remove, apparently
    works now
  * debian/patches/fix-i386-build.diff: as name says, from upstream gerrit

  * debian/control.in:
    - fix version in Replaces: in -uiconfig-*
  * debian/rules:
    - use --disable-cve-tests on 32bit archs. Fails consistently there on one
      CVE which was a memory leak in tiff and a excpected failure here anyway.
      Fixed in tiff ages ago and we're not really supposed to test others' CVEs as
      we use external libs anyway
    - again run full make check on amd64/arm64/riscv64(!) (and armhf); make fatal
    - only run testtools' bridgetest, "smoketest" as smoketest and the pyuno
      tests on all architectures except amd64/amd64/riscv64/armhf
    - build-depend on libcppunit-dev on all archs
    - clean up some make-check-only Build-Depends(-Arch)
    - move impress' own soffice.cfg which didn't yet end up in
      uiconfig-impress actually there (e.g. layoutlist.xml, which is needed by
      Draw)
  * debian/tests/smoketest: run smoketest using make subsquentcheck in smoketest
  * debian/rules, debian/control.in: 
    - change fonts-liberation2 Build-Depends/Recommends in -common to
      fonts-liberation (>= 1:2)
    - change fonts-liberation2 Build-Depends to fonts-liberation (>= 1:2)

 -- Rene Engelhard <rene@debian.org>  Fri, 07 Jul 2023 19:25:47 +0200

libreoffice (4:7.6.0~beta1-3) experimental; urgency=medium

  * debian/patches/fix-arm64-tests.diff: as name says, from upstream
    libreoffice-7-6 branch
  * debian/source/include-binaries: add changed .emf files

  * debian/patches/adapt-for-new-carlito.diff: as name says; adapt two
    (and disable one for now since iit has calculated values..) test(s) which
    break with fonts-crosextra-carlito 20230309. Bump build-dependency.
    Revert all of this for bookworm-backports.

  * debian/rules:
    - restrict -2 changes to make test failures only fatal on release
      architectures + upcoming release architectures (like riscv64). 
      Still build and run the tests on all architectures.
  * debian/rules, debian/control.in: 
    - recommend fonts-liberation+fonts-liberation-sans-narrow instead of both
      fonts-liberation and fonts-liberation2; keep old recommends
      for bookworm-backports, thanks Fabian Greffrath for the MR

 -- Rene Engelhard <rene@debian.org>  Sat, 24 Jun 2023 00:01:05 +0200

libreoffice (4:7.6.0~beta1-2) experimental; urgency=medium

  * merge from Ubuntu:
    - Update tests/patches/testtools-standalone.diff 
  * debian/rules, debian/control.in:
    - remove version constraints on build-deps and pre-depends fullfillable
      since oldstable (or stable if oldstable didn't contain it even)
  * debian/rules:
    - make all architectures' make check fatal again based on discussion
      on #debian-release (especially needed to prevent riscv64 entering
      the archive with miserably failing the tests) 
    - also enable the junit tests on all architectures

 -- Rene Engelhard <rene@debian.org>  Sat, 10 Jun 2023 17:50:50 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libunoloader-java`.
